curl --request PATCH \
--url https://app.orgo.space/api/v1/contract_users/{id} \
--header 'Api-Token: <api-key>' \
--header 'Content-Type: application/merge-patch+json' \
--data '
{
"contract": "/api/v1/contracts/1",
"user": "/api/v1/users/1",
"placeholderMap": [
"string"
]
}
'import requests
url = "https://app.orgo.space/api/v1/contract_users/{id}"
payload = {
"contract": "/api/v1/contracts/1",
"user": "/api/v1/users/1",
"placeholderMap": ["string"]
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/merge-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Token': '<api-key>', 'Content-Type': 'application/merge-patch+json'},
body: JSON.stringify({
contract: '/api/v1/contracts/1',
user: '/api/v1/users/1',
placeholderMap: ['string']
})
};
fetch('https://app.orgo.space/api/v1/contract_users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42,
"contract": {
"id": 42,
"name": "Boston Chapter",
"isInfiniteDuration": true,
"yearDuration": 60,
"monthDuration": 60,
"hasSignature": true,
"hasUpload": true,
"contractHash": "a3f8b2c4d6e8f1a3b5c7d9e1f3a5b7c9",
"enableSignatureCancellation": true,
"required": true,
"hasAdminSignature": true,
"unit": "/api/v1/units/1",
"displayInProfile": true,
"defaultSignature": {
"id": 42,
"entityId": 42,
"contentUrl": "https://civic-collective.example.com",
"originalName": "Boston Chapter"
},
"hasDefaultSignature": true,
"useDefaultSignatureAsPreSigned": true
},
"user": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"email": "james.patterson@example.com",
"fullName": "James Patterson",
"customFieldValues": [
{
"id": 42,
"field": "/api/v1/custom_fields/1",
"value": "Vegetarian",
"media": "/api/v1/medias/1"
}
],
"townCurrent": {
"id": 42,
"name": "Boston Chapter",
"nameWithCounty": "Boston Chapter"
},
"mapLatitude": "42.3601",
"mapLongitude": "-71.0589",
"mapPlaceName": "Boston Common",
"feeTenantProductPrice": {
"id": 42,
"price": 50
},
"professionOrganisation": "Civic Collective",
"professionOrganisationWebsite": "https://civic-collective.example.com",
"professionOrganisationRole": "Civic Collective",
"companyIdentifier": "US-123456789",
"companyName": "Civic Collective LLC",
"companyAddress": "123 Beacon Street, Boston, MA 02108",
"companyRegNo": "DE-HRB-12345"
},
"isLocked": true,
"isApproved": true,
"media": {
"id": 42,
"entityId": 42,
"contentUrl": "https://civic-collective.example.com",
"originalName": "Boston Chapter"
},
"signature": {
"id": 42,
"entityId": 42,
"contentUrl": "https://civic-collective.example.com",
"originalName": "Boston Chapter"
},
"dateSignature": "2026-01-15T10:30:00+00:00",
"contractHash": "a3f8b2c4d6e8f1a3b5c7d9e1f3a5b7c9",
"canceledBy": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"email": "james.patterson@example.com",
"fullName": "James Patterson",
"customFieldValues": [
{
"id": 42,
"field": "/api/v1/custom_fields/1",
"value": "Vegetarian",
"media": "/api/v1/medias/1"
}
],
"townCurrent": {
"id": 42,
"name": "Boston Chapter",
"nameWithCounty": "Boston Chapter"
},
"mapLatitude": "42.3601",
"mapLongitude": "-71.0589",
"mapPlaceName": "Boston Common",
"feeTenantProductPrice": {
"id": 42,
"price": 50
},
"professionOrganisation": "Civic Collective",
"professionOrganisationWebsite": "https://civic-collective.example.com",
"professionOrganisationRole": "Civic Collective",
"companyIdentifier": "US-123456789",
"companyName": "Civic Collective LLC",
"companyAddress": "123 Beacon Street, Boston, MA 02108",
"companyRegNo": "DE-HRB-12345"
},
"dateCanceled": "2026-01-15T10:30:00+00:00",
"dateValidityEnd": "2026-01-15T10:30:00+00:00",
"dateValidityStart": "2026-01-15T10:30:00+00:00",
"contact": {
"id": 42,
"name": "Boston Chapter",
"email": "james.patterson@example.com",
"phone": "+1 415 555 0142",
"organisation": "Civic Collective",
"role": "ROLE_USER",
"twitter": "https://twitter.com/jpatterson",
"linkedin": "https://linkedin.com/in/james-patterson",
"instagram": "https://instagram.com/jpatterson",
"town": {
"id": 42,
"name": "Boston Chapter",
"nameWithCounty": "Boston Chapter"
},
"companyIdentifier": "US-123456789",
"companyName": "Civic Collective LLC",
"companyAddress": "123 Beacon Street, Boston, MA 02108",
"customFieldValues": [
{
"id": 42,
"field": "/api/v1/custom_fields/1",
"value": "Vegetarian",
"media": "/api/v1/medias/1"
}
],
"professionOrganisationRole": "Civic Collective",
"companyRegNo": "DE-HRB-12345",
"status": "/api/v1/profile_statuses/1",
"lastStatusUpdate": "2026-01-15T10:30:00+00:00",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
},
"placeholderMap": [
"string"
],
"signatureAdmin": {
"id": 42,
"entityId": 42,
"contentUrl": "https://civic-collective.example.com",
"originalName": "Boston Chapter"
},
"status": "ACTIVE",
"contractNumber": 42
}Update a contract user
Updates a contract-user record. Sanitizes the placeholder map and populates the associated user or contact entity with custom field and placeholder values. Only the assigned user or an HR_TENANT admin can perform this action.
Authorizations
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Path Parameters
ContractUser identifier
Body
The updated ContractUser resource
Response
ContractUser resource updated
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

